unit U_SalesContract_ZZDSel;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxStyles, cxCustomData, cxGraphics, cxFilter, cxData, cxDataStorage,
  cxEdit, DB, cxDBData, ToolWin, ComCtrls, U_BaseHelp, cxGridCustomTableView,
  cxGridTableView, cxGridDBTableView, cxGridLevel, cxClasses, cxControls,
  cxGridCustomView, cxGrid, DBClient, ADODB, ImgList, StdCtrls, ExtCtrls,
  cxTextEdit, cxGridCustomPopupMenu, cxGridPopupMenu, cxLookAndFeels,
  cxLookAndFeelPainters, cxNavigator, dxDateRanges, dxBarBuiltInMenu,
  System.ImageList, U_BaseInput, cxButtonEdit, cxDropDownEdit, cxCheckBox,
  Vcl.Menus, dxSkinsCore, dxSkinsDefaultPainters, dxScrollbarAnnotations;

type
  TfrmSalesContract_ZZDSel = class(TfrmBaseHelp)
    ToolBar1: TToolBar;
    ADOQueryMain: TADOQuery;
    ADOQueryTemp: TADOQuery;
    ADOQueryCmd: TADOQuery;
    DS_1: TDataSource;
    CDS_1: TClientDataSet;
    TBSave: TToolButton;
    TBClose: TToolButton;
    ToolButton1: TToolButton;
    ADOConnection1: TADOConnection;
    Panel1: TPanel;
    Label1: TLabel;
    ConNo: TEdit;
    GPM_1: TcxGridPopupMenu;
    ImageList1: TImageList;
    cxStyleRepository1: TcxStyleRepository;
    cxStyle1: TcxStyle;
    cxGrid1: TcxGrid;
    TV1: TcxGridDBTableView;
    VC_SCSCode: TcxGridDBColumn;
    cxGridDBColumn2: TcxGridDBColumn;
    cxGridDBColumn3: TcxGridDBColumn;
    v1Column5: TcxGridDBColumn;
    cxGridDBColumn4: TcxGridDBColumn;
    cxGridDBColumn5: TcxGridDBColumn;
    cxGridDBColumn6: TcxGridDBColumn;
    cxGridDBColumn7: TcxGridDBColumn;
    cxGridDBColumn8: TcxGridDBColumn;
    v1Column6: TcxGridDBColumn;
    v1Column7: TcxGridDBColumn;
    v1PRTOrderQty: TcxGridDBColumn;
    v1OrderUnit: TcxGridDBColumn;
    v1Column2: TcxGridDBColumn;
    cxGridLevel1: TcxGridLevel;
    TV1Column1: TcxGridDBColumn;
    TV1Column2: TcxGridDBColumn;
    TV1Column3: TcxGridDBColumn;
    TV1Column4: TcxGridDBColumn;
    TV1Column5: TcxGridDBColumn;
    TV1Column6: TcxGridDBColumn;
    ThreeColorBase: TcxStyleRepository;
    SHuangSe: TcxStyle;
    SkyBlue: TcxStyle;
    Default: TcxStyle;
    QHuangSe: TcxStyle;
    Red: TcxStyle;
    FontBlue: TcxStyle;
    TextSHuangSe: TcxStyle;
    FonePurple: TcxStyle;
    FoneClMaroon: TcxStyle;
    FoneRed: TcxStyle;
    RowColor: TcxStyle;
    handBlack: TcxStyle;
    cxBlue: TcxStyle;
    SHuangSeCu: TcxStyle;
    TV1Column7: TcxGridDBColumn;
    PM_1: TPopupMenu;
    N1: TMenuItem;
    N2: TMenuItem;
    Label2: TLabel;
    C_Name: TEdit;
    Label3: TLabel;
    BuyName: TEdit;
    TV1Column8: TcxGridDBColumn;
    TV1Column9: TcxGridDBColumn;
    TV1Column10: TcxGridDBColumn;
    TV1Column11: TcxGridDBColumn;
    TV1Column12: TcxGridDBColumn;
    TV1Column13: TcxGridDBColumn;
    TV1Column14: TcxGridDBColumn;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure TBSaveClick(Sender: TObject);
    procedure TV1DblClick(Sender: TObject);
    procedure TBCloseClick(Sender: TObject);
    procedure N1Click(Sender: TObject);
    procedure N2Click(Sender: TObject);
    procedure ConNoChange(Sender: TObject);
  private
    procedure InitGrid();
    { Private declarations }
  public
    FCoType, FAuthority: string;
    { Public declarations }
  end;

var
  frmSalesContract_ZZDSel: TfrmSalesContract_ZZDSel;

implementation

uses
  U_DataLink, U_RTFun;

{$R *.dfm}

procedure TfrmSalesContract_ZZDSel.FormCreate(Sender: TObject);
begin
  inherited;
  try
    with ADOConnection1 do
    begin
      Connected := false;
      ConnectionString := DConString;
      Connected := true;
    end;
    ADOQueryBaseCmd.Connection := ADOConnection1;
    ADOQueryBaseTemp.Connection := ADOConnection1;
  except
    application.MessageBox('网络连接失败！', '提示信息');
  end;
end;

procedure TfrmSalesContract_ZZDSel.ConNoChange(Sender: TObject);
begin
  if ADOQueryMain.Active = False then
    Exit;
  SDofilter(ADOQueryMain, SGetFilters(Panel1, 1, 2));
  SCreateCDS(ADOQueryMain, CDS_1);
  SInitCDSData(ADOQueryMain, CDS_1);

end;

procedure TfrmSalesContract_ZZDSel.FormClose(Sender: TObject; var Action: TCloseAction);
begin

  ConNo.SetFocus;

  Action := cahide;
end;

procedure TfrmSalesContract_ZZDSel.InitGrid();
begin
  try
    ADOQueryMain.DisableControls;
    with ADOQueryMain do
    begin
      Close;
      sql.Clear;
      //sql.Add('select A.*,B.* from BS_Contract_Main A inner join BS_Contract_Sub B on A.ConMId=B.ConMId  ');
      //sql.Add(' and  isnull(A.status,''0'')=''9''');
      SQL.Add('SELECT DISTINCT');
      SQL.Add('    A.ConNo,');
      SQL.Add('    A.BuyConNo,');
      SQL.Add('    A.SellName,');
      SQL.Add('    A.BuyName,');
      SQL.Add('    A.MiddleName,');
      SQL.Add('    B.C_Spec,');
      SQL.Add('    A.DlyDate,');
      SQL.Add('    B.C_Code,');
      SQL.Add('    C.C_Name,');
      SQL.Add('    C.C_EName,');
      SQL.Add('    C.C_Composition,');
      SQL.Add('    C.C_Color,');
      SQL.Add('    C.C_ColorNo,');
      SQL.Add('    C.C_StyleNo,');
      SQL.Add('    C.C_Pattern,');
      SQL.Add('    C.C_Width,');
      SQL.Add('    C.C_GramWeight,');
      SQL.Add('    D.Y_Code,');
      SQL.Add('    D.Y_Name,');
      SQL.Add('    B.ConQty,');
      SQL.Add('    B.ConUnit,');
      SQL.Add('    B.ConSNote,');
      SQL.Add('    D.YRType,');
      SQL.Add('    D.Denier,');
      SQL.Add('    C.ZS,');
      SQL.Add('    D.FF,');
      SQL.Add('    D.ND');
      SQL.Add('FROM Bs_Contract_Main A');
      SQL.Add('INNER JOIN Bs_Contract_Sub B ON A.ConMId = B.ConMId');
      SQL.Add('INNER JOIN Bs_Cloth_Info C ON B.C_Code = C.C_Code');
      SQL.Add('INNER JOIN BS_Cloth_Yarn D ON C.BCIID = D.BCIID');
      SQL.Add('WHERE A.Status = ''9''');

      Open;
    end;
    SDofilter(ADOQueryMain, SGetFilters(Panel1, 1, 2));
    SCreateCDS(ADOQueryMain, CDS_1);
    SInitCDSData(ADOQueryMain, CDS_1);
  finally
    ADOQueryMain.EnableControls;
  end;
end;

procedure TfrmSalesContract_ZZDSel.N1Click(Sender: TObject);
begin
  SelOKNo(CDS_1, True);

end;

procedure TfrmSalesContract_ZZDSel.N2Click(Sender: TObject);
begin
  SelOKNo(CDS_1, False);
end;

procedure TfrmSalesContract_ZZDSel.FormShow(Sender: TObject);
begin
  inherited;

  InitGrid();

  ReadCxGrid(Trim(self.Caption), TV1, '自定义数据');

end;

procedure TfrmSalesContract_ZZDSel.TBCloseClick(Sender: TObject);
begin
  inherited;
  Close;
end;

procedure TfrmSalesContract_ZZDSel.TBSaveClick(Sender: TObject);
begin
  WriteCxGrid(Trim(self.Caption), TV1, '自定义数据');

end;

procedure TfrmSalesContract_ZZDSel.ToolButton1Click(Sender: TObject);
begin
  ConNo.SetFocus;
  ModalResult := 1;
end;

procedure TfrmSalesContract_ZZDSel.TV1DblClick(Sender: TObject);
begin
  ModalResult := 1;
end;

procedure TfrmSalesContract_ZZDSel.FormDestroy(Sender: TObject);
begin
  inherited;
  frmSalesContract_ZZDSel := nil;
end;

end.

